BIT-prestashop-2023-30545

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/prestashop/BIT-prestashop-2023-30545.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-prestashop-2023-30545
Aliases
Published
2024-03-06T11:04:54.270Z
Modified
2024-03-06T12:27:54.188772Z
Summary
[none]
Details

PrestaShop is an Open Source e-commerce web application. Prior to versions 8.0.4 and 1.7.8.9, it is possible for a user with access to the SQL Manager (Advanced Options -> Database) to arbitrarily read any file on the operating system when using SQL function LOAD_FILE in a SELECT request. This gives the user access to critical information. A patch is available in PrestaShop 8.0.4 and PS 1.7.8.9

References

Affected packages

Bitnami / prestashop

Package

Name
prestashop
Purl
pkg:bitnami/prestashop

Severity

  • 6.5 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
8.0.0
Fixed
8.0.4